using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;

namespace PlumbingRepairContracts.StoragesContracts
{
    public interface IWorkStorage
    {
        List<WorkViewModel> GetFullList();
        List<WorkViewModel> GetFilteredList(WorkSearchModel model);
        WorkViewModel? GetElement(WorkSearchModel model);
        WorkViewModel? Insert(WorkBindingModel model);
        WorkViewModel? Update(WorkBindingModel model);
        WorkViewModel? Delete(WorkBindingModel model);
    }
}
